#!/bin/bash
# Uso: impostare i dati di configurazione, ed invocare senza parametri
# DATI DI CONFIGURAZIONE
# Periodo tra due invocazioni del comando
export DELAY='1 minute'
# File temporaneo
export TMP="/tmp/nwsip"

export NWSIPCONFIG='nws.conf'
export NWSBINDIR='/usr/local/nws/bin'
export NWSNAMESERVER='localhost'
export NWSSUFFIX='o=prova'

# Operazioni eseguite solo la prima volta
function firsttime () {
    rm nwstiming.log
    $NWSBINDIR/nws_search -N $NWSNAMESERVER "(objectclass=*)" > nwssystem.log
}

# operazioni eseguite tutte le volte
function eachtime () {
( echo -n "####"; date ) >> nwstiming.log
./nwsip.pl $NWSNAMESERVER "$SUFFIX" > lasttry.log
}

# Operazioni eseguite l'ultima volta
function lasttime () {
    ./logprocess.pl nwstiming.log > stats.txt
}

# NON TOCCARE SOTTO QUESTA RIGA

# controllo del ciclo
if [ $1 ] 
then 
    export N=$1
#esecuzione iniziale
    firsttime
else
    if ! [ -f $TMP ]
    then
        echo "Usage: $0 <number of times>"
	exit 1;
    fi
    export N=`cat $TMP`
fi
# esecuzione periodica
eachtime

echo $(( $N - 1 )) > $TMP
if [ $N -eq 0 ] 
then 
#esecuzione finale
    lasttime
    rm $TMP
    exit
fi

# Costruzione della prossima scadenza
export attime="now + $DELAY"

#Invocazione periodica
at -f periodic.sh "$attime" 
#./periodic.sh










